POST
/v1/workspaces/{workspaceId}/membersbetaplatformUserworkspace
When to use
Grant someone access to the workspace by email.
For agents
Requires the signed-in administrator’s direct platform access token.
Example
import { PermuteClient } from '@permute/sdk';
const client = new PermuteClient({ accessToken: async () => process.env.PERMUTE_ACCESS_TOKEN! });
const result = await client.workspaceMembers.invite('wksp_finance123', {
"email": "ada@example.com",
"role": "member"
});Request body
{
"email": "ada@example.com",
"role": "member"
}Response
{
"data": {
"userId": "user_example",
"email": "ada@example.com",
"role": "member",
"invitationSent": true
}
}